package jp.gihyo.mitoma.android.p014gdpmanagement;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

public class SubActivity extends AppCompatActivity {
    private static final String TAG ="SubActivity";
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_sub);
        // アクションバーの変更
        setTitle(R.string.sub_name);
        // ボタンにリスナーをセット
        ButtonClick onClick = new ButtonClick();
        Button btReg = findViewById(R.id.btRegister);
        btReg.setOnClickListener(onClick);
        Button btUpd = findViewById(R.id.btUpdate);
        btUpd.setOnClickListener(onClick);
        Button btDel = findViewById(R.id.btDelete);
        btDel.setOnClickListener(onClick);
        // インテント受取とDTOの取出し
        Intent intent = getIntent();
        CountryDTO dto = (CountryDTO)getIntent().getSerializableExtra("dto");
        // EditTextウィジェットへのセット（表示）
        Log.d(TAG,"受信DTO:" + dto.cNo +" " +dto.countryName+" " +dto.gdp);
        EditText etCno = findViewById(R.id.etCno);
        EditText etCname = findViewById(R.id.etCname);
        EditText etGDP = findViewById(R.id.etGDP);
        EditText etPop = findViewById(R.id.etPop);
        etCno.setText(String.valueOf(dto.cNo));
        etCname.setText(dto.countryName);
        etGDP.setText(String.valueOf(dto.gdp));
        etPop.setText(String.valueOf(dto.population));
    }

    private class ButtonClick implements View.OnClickListener{
        public void onClick(View view){
            // アクションへの処理依頼
            CountryAction action = new CountryAction(SubActivity.this);
            action.exec(view);
            // アクティビティの終了
            finish();
        }
    }
}